%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# Oh the horrors of arch dependent noarch packages!
# # (bzrlib is arch dependent.  Thus bzrlib plugins are also arch dependent.)
# %define debug_package %{nil}

%define bzrrev 287

Name:           bazaar-webserve
Version:        0.12
Release:        0.5.20080405bzr%{bzrrev}%{?dist}
Summary:        Display a Bazaar repository on the web

Group:          Applications/Internet
License:        GPLv2+
URL:            http://bazaar-vcs.org/BazaarHGWeb
# Source comes from a bazaar repository:
#   bzr checkout --lightweight -r 287 http://goffredo-baroncelli.homelinux.net/bazaar/webserve-repository/bazaar-webserve-dev/
#   cd bazaar-webserve-dev
#   python setup.py sdist --formats gztar
# tarball lands in bazaar-webserve-dev/dist/
Source0:        bazaar-webserve-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
Requires:       bzr

%description
This plugin for Bazaar provides a web repository.

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

# Because bzr is arch specific, bzr plugins have to be too
if test "%{python_sitelib}" != "%{python_sitearch}" ; then
    install -d $RPM_BUILD_ROOT/%{python_sitearch}/bzrlib/plugins/
    mv $RPM_BUILD_ROOT/%{python_sitelib}/bzrlib/plugins/webserve $RPM_BUILD_ROOT/%{python_sitearch}/bzrlib/plugins
fi

# Move the cgi scripts so that they get the proper SELinux labels
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin
mv $RPM_BUILD_ROOT%{_datadir}/bazaar-webserve/cgi-bin/* $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/
rmdir $RPM_BUILD_ROOT%{_datadir}/bazaar-webserve/cgi-bin

rm -rf $RPM_BUILD_ROOT%{_docdir}

%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}
%{__install} -p -m 0644 docs/bazaar-webserve.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/bazaar-webserve.conf

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/README*
%config(noreplace) %{_sysconfdir}/bazaar-webserve.conf
%{python_sitearch}/bzrlib/plugins/*
%{_datadir}/bazaar-webserve/
%attr(0755,root,root) %{_localstatedir}/www/cgi-bin/*

%changelog
* Sat Apr 5 2008 Toshio Kuratomi <a.badger@gmail.com> - 0.12-0.5.20080405bzr287
- Rebase to upstream fix for bzr-1.3.

* Sat Dec 22 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.12-0.4.20071222bzr254
- Rebase to upstream fix for pack repositories.

* Thu Dec 20 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.12-0.3.20071220bzr252
- Cosmetic cleanups.

* Thu Dec 20 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.12-0.2.20071220bzr252
- Rebase to new upstream snapshot that has my patches.
- Patch for working with bzr-1.0 pack repositories.

* Wed Dec 5 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.12-0.1.20071205bzr249
- Initial build.
